### Method

# Gtk IconTheme get_search_path

#### Declaration [src]

    char**
    gtk_icon_theme_get_search_path (
      GtkIconTheme* self
    )

#### Description [src]

Gets the current search path.

See `gtk_icon_theme_set_search_path()`.

Gets property | `Gtk.IconTheme:search-path`

#### Return value

Type: An array of `filename`

a list of icon theme path directories.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.